#ifndef gtkglue_h
#define gtkglue_h

#include <gtk.h>
#include <sane.h>

struct GSGDialog;

typedef void (*GSGParamChangeCallback)(struct GSGDialog *dialog, void *arg);

typedef struct
  {
    gchar *label;
    struct GSGDialogElement *elem;
    gint index;
  }
GSGMenuItem;

typedef struct GSGDialogElement
  {
    struct GSGDialog *dialog;	/* wasteful, but is there a better solution? */
    GtkWidget *label;
    GtkWidget *automatic;	/* auto button for options that support this */
    GtkWidget *widget;
    int menu_size;		/* # of items in menu (if any) */
    GSGMenuItem *menu;
  }
GSGDialogElement;

typedef struct GSGDialog
  {
    GtkWidget *window;
    GtkWidget *vbox;
    SANE_Handle *dev;
    int num_elements;
    GSGDialogElement *element;
    /* This callback gets invoked whenever the backend notifies us
       that the parameters have changed.  */
    GSGParamChangeCallback param_change_callback;
    void *param_change_arg;
  }
GSGDialog;


extern void gsg_error (gchar * error_message);

extern GSGDialog *gsg_create_dialog (GtkWidget *window,
				     const char *device_name,
				     GSGParamChangeCallback param_callback,
				     void *param_arg);
extern void gsg_destroy_dialog (GSGDialog * dialog);

#define gsg_dialog_get_device(dialog)	((dialog)->dev)

#endif /* gtkglue_h */
