/* netsane - Network interface for SANE
   Copyright (C) 1997 Andreas Beck
   This file is part of the SANE package.

   SANE is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   SANE is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License
   along with sane; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   This file declares SANE application interface.  See the SANE
   standard for a detailed explanation of the interface.  */
#ifndef netsane_h
#define netsane_h

/* COMMANDS */

/* Handshake sequence and generic commands */

#define CMD_HELO 0x00010001
#define CMD_FAIL 0x00010002
#define CMD_QUIT 0x00010003

/* Authentication negotiation */

#define CMD_USER_REQ  0x00020001
#define CMD_USER_RPLY 0x00020002
#define CMD_PASS_REQ  0x00020003
#define CMD_PASS_RPLY 0x00020004
#define PASS_UNIX 0x00000001
#define PASS_CRPT 0x00000002

/* Crypto negotiation */

#define CMD_CRPT_REQ  0x00030001
#define CMD_CRPT_RPLY 0x00030002

/* Command Stage */

/* Administrative commands */
#define CMD_SANE_INIT 0x00040001
#define CMD_SANE_EXIT 0x00040002

/* Device handling */
#define CMD_SANE_GDEV 0x00050001
#define CMD_SANE_OPEN 0x00050002
#define CMD_SANE_CLOS 0x00050003

/* Option negotiation */
#define CMD_SANE_GOPT 0x00060001
#define CMD_SANE_COPT 0x00060002
#define CMD_SANE_PARM 0x00060003

/* Image acquiry */
#define CMD_SANE_STAR 0x00070001
#define CMD_SANE_READ 0x00070002
#define CMD_SANE_ABRT 0x00070003

/* Misc */
#define CMD_SANE_IOMO 0x00080001
#define CMD_SANE_GSFD 0x00080002

#endif /* netsane_h */
